package meerkat.voting;

import meerkat.protobuf.Voting.*;

/**
 * An interface for the storage component of the voting booth
 */
public interface StorageManager {

    /**
     * Detect whether an administration key is inserted to the machine. This determines if we gointo the set-up flow or the voting session flow.
     * @return True is a hardware key is inserted. False if not.
     */
    public boolean isAdminHardwareKeyInserted();

    /**
     * load the election params from a file.
     * @return the current election params
     */
    public ElectionParams readElectionParams ();
}
